package com.cygnusa.hyperm.util;

import com.cygnusa.hyperm.wrappers.DSE;

import retrofit2.Callback;


public abstract class MyCallback<T> implements Callback<T> {
    public int id;
    public int position;
    public String ids;
    public DSE dse;
    ///public Schedules cbSchedules;
    public boolean isEnd;

    public MyCallback(int id) {
        this.id = id;
    }

    public MyCallback(String ids) {
        this.ids = ids;
    }

    public MyCallback(int id, int position) {
        this.id = id;
        this.position = position;
    }

    public MyCallback() {

    }

    public MyCallback(DSE dse) {
        this.dse = dse;
    }

    public MyCallback(boolean isEnd) {
        this.isEnd = isEnd;
    }

//    public MyCallback(Schedules schedules) {
//        this.cbSchedules = schedules;
//    }
}
